
package datapack;


/**Class that stores data taken from an available access point. */
public class AccessPointData
{
    private String mac_address;
    private String essid;
    private String channel;
    private String mode;
    private String signal_level;

    public String getChannel()
    {
        return channel;
    }

    public void setChannel(String channel)
    {
        this.channel = channel;
    }

    public String getEssid()
    {
        return essid;
    }

    public void setEssid(String essid)
    {
        this.essid = essid;
    }

    public String getMac_address()
    {
        return mac_address;
    }

    public void setMac_address(String mac_address)
    {
        this.mac_address = mac_address;
    }

    public String getSignal_level()
    {
        return signal_level;
    }

    public void setSignal_level(String received_signal_power)
    {
        this.signal_level = received_signal_power;
    }

    public String getMode()
    {
        return mode;
    }

    public void setMode(String state)
    {
        this.mode = state;
    }
    
    @Override
    public String toString()
    {
        String sdata="";

        sdata = sdata.concat("ESSID: " + this.getEssid() + "\t");
        sdata = sdata.concat("Mac: " + this.getMac_address() + "\t");
        sdata = sdata.concat("Mode: " + this.getMode()+"\n");
        sdata = sdata.concat("Channel: " + this.getChannel() + "\t");
        sdata = sdata.concat("SignalLevel: " + this.getSignal_level()+"\n");
        
        return sdata;      
    }
}
