
package context;

import java.util.ArrayList;
import java.util.List;


/**Class that stores into lists all the data collected from the interfaces, the 
 * wireless interfaces and the access points. */
public class MonitorData
{
    private List<InterfaceData> interfaceList;
    private List<WirelessData> wirelessList;
    private List<AccessPointData> accessPointList;
    private String wifname; 
    
    public MonitorData()
    {
        this.interfaceList = new ArrayList();
        this.wirelessList = new ArrayList();
        this.accessPointList = new ArrayList();
        this.wifname = "";
    }

    public List<InterfaceData> getInterfaceList()
    {
        return interfaceList;
    }

    public void setInterfaceList(List<InterfaceData> interfaceList)
    {
        this.interfaceList = interfaceList;
    }

    public List<WirelessData> getWirelessList()
    {
        return wirelessList;
    }

    public void setWirelessList(List<WirelessData> wirelessList)
    {
        this.wirelessList = wirelessList;
    }

    public List<AccessPointData> getAccessPointList()
    {
        return accessPointList;
    }

    public void setAccessPointList(List<AccessPointData> accessPointList)
    {
        this.accessPointList = accessPointList;
    }


    public String getWifname()
    {
        return wifname;
    }

    public void setWifname(String wifname)
    {
        this.wifname = wifname;
    }
    
        
}
