
package server;

import context.MonitorData;
import context.TerminalData;
import javax.jws.WebService;
import main.Main;


/**Class that implements the web service. */
@WebService(endpointInterface="server.TestWebService")
public class TestWebServiceImpl implements TestWebService
{
    @Override
    public void setMonitorData(String device, MonitorData MD)
    {
//        int i;
//        System.out.println("Invocation of operation setMonitorData()");        
//        
//        for (i = 0; i < MD.getInterfaceList().size(); i++)
//        {
//            System.out.println(MD.getInterfaceList().get(i).toString());           
//        }
//        
//        for (i = 0; i < MD.getWirelessList().size(); i++)
//        {
//            System.out.println(MD.getWirelessList().get(i).toString());
//        }
//        
//        for (i = 0; i < MD.getAccessPointList().size(); i++)
//        {
//            System.out.println(MD.getAccessPointList().get(i).toString());
//        }     

        Main.db.insertData(device, MD);         
    }

    @Override
    public void setTerminalData(String device, String data)
    {     
        TerminalData td = new TerminalData(data);
        
//        System.out.println(device);  
//        System.out.println(td.toString());
        
        Main.db.insertData(device, td);
        
    }
    
}
