
package datapack;

/**Class that stores a thread that we have created and a boolean
 * that sends a signal to the thread to continue running or to stop. */
public class ThreadData
{
    /**The thread we have created*/
    private Thread thread;
    /**The signal to send to the thread, true = continue running - false = stop running*/
    private Boolean state;
    
   /**Creates a ThreadData object.
     * @param thread the thread we have created
     * @param state the signal to send to the thread*/
    public ThreadData(Thread thread, Boolean state)
    {
        this.thread = thread;
        this.state = state;
    }  

    public Boolean getState()
    {
        return state;
    }

    public void setState(Boolean state)
    {
        this.state = state;
    }
    
    public Thread getThread()
    {
        return thread;
    }

    public void setThread(Thread thread)
    {
        this.thread = thread;
    } 
}