
package server;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for monitorData complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="monitorData">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="accessPointList" type="{http://server/}accessPointData" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="interfaceList" type="{http://server/}interfaceData" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="wifname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="wirelessList" type="{http://server/}wirelessData" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "monitorData", propOrder = {
    "accessPointList",
    "interfaceList",
    "wifname",
    "wirelessList"
})
public class MonitorData {

    @XmlElement(nillable = true)
    protected List<AccessPointData> accessPointList;
    @XmlElement(nillable = true)
    protected List<InterfaceData> interfaceList;
    protected String wifname;
    @XmlElement(nillable = true)
    protected List<WirelessData> wirelessList;

    /**
     * Gets the value of the accessPointList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the accessPointList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAccessPointList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link AccessPointData }
     * 
     * 
     */
    public List<AccessPointData> getAccessPointList() {
        if (accessPointList == null) {
            accessPointList = new ArrayList<AccessPointData>();
        }
        return this.accessPointList;
    }

    /**
     * Gets the value of the interfaceList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the interfaceList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInterfaceList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InterfaceData }
     * 
     * 
     */
    public List<InterfaceData> getInterfaceList() {
        if (interfaceList == null) {
            interfaceList = new ArrayList<InterfaceData>();
        }
        return this.interfaceList;
    }

    /**
     * Gets the value of the wifname property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getWifname() {
        return wifname;
    }

    /**
     * Sets the value of the wifname property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setWifname(String value) {
        this.wifname = value;
    }

    /**
     * Gets the value of the wirelessList property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the wirelessList property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getWirelessList().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link WirelessData }
     * 
     * 
     */
    public List<WirelessData> getWirelessList() {
        if (wirelessList == null) {
            wirelessList = new ArrayList<WirelessData>();
        }
        return this.wirelessList;
    }

}
