
package server;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for wirelessData complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="wirelessData">
 *   &lt;complexContent>
 *     &lt;extension base="{http://server/}interfaceData">
 *       &lt;sequence>
 *         &lt;element name="ap_essid" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ap_mac_address" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ap_mode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="channel" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="discarded_packets" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="link_quality" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="noise_level" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="signal_level" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="transmit_power" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "wirelessData", propOrder = {
    "apEssid",
    "apMacAddress",
    "apMode",
    "channel",
    "discardedPackets",
    "linkQuality",
    "noiseLevel",
    "signalLevel",
    "transmitPower"
})
public class WirelessData
    extends InterfaceData
{

    @XmlElement(name = "ap_essid")
    protected String apEssid;
    @XmlElement(name = "ap_mac_address")
    protected String apMacAddress;
    @XmlElement(name = "ap_mode")
    protected String apMode;
    protected String channel;
    @XmlElement(name = "discarded_packets")
    protected String discardedPackets;
    @XmlElement(name = "link_quality")
    protected String linkQuality;
    @XmlElement(name = "noise_level")
    protected String noiseLevel;
    @XmlElement(name = "signal_level")
    protected String signalLevel;
    @XmlElement(name = "transmit_power")
    protected String transmitPower;

    /**
     * Gets the value of the apEssid property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApEssid() {
        return apEssid;
    }

    /**
     * Sets the value of the apEssid property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApEssid(String value) {
        this.apEssid = value;
    }

    /**
     * Gets the value of the apMacAddress property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApMacAddress() {
        return apMacAddress;
    }

    /**
     * Sets the value of the apMacAddress property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApMacAddress(String value) {
        this.apMacAddress = value;
    }

    /**
     * Gets the value of the apMode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApMode() {
        return apMode;
    }

    /**
     * Sets the value of the apMode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApMode(String value) {
        this.apMode = value;
    }

    /**
     * Gets the value of the channel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getChannel() {
        return channel;
    }

    /**
     * Sets the value of the channel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setChannel(String value) {
        this.channel = value;
    }

    /**
     * Gets the value of the discardedPackets property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDiscardedPackets() {
        return discardedPackets;
    }

    /**
     * Sets the value of the discardedPackets property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDiscardedPackets(String value) {
        this.discardedPackets = value;
    }

    /**
     * Gets the value of the linkQuality property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLinkQuality() {
        return linkQuality;
    }

    /**
     * Sets the value of the linkQuality property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLinkQuality(String value) {
        this.linkQuality = value;
    }

    /**
     * Gets the value of the noiseLevel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNoiseLevel() {
        return noiseLevel;
    }

    /**
     * Sets the value of the noiseLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNoiseLevel(String value) {
        this.noiseLevel = value;
    }

    /**
     * Gets the value of the signalLevel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSignalLevel() {
        return signalLevel;
    }

    /**
     * Sets the value of the signalLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSignalLevel(String value) {
        this.signalLevel = value;
    }

    /**
     * Gets the value of the transmitPower property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTransmitPower() {
        return transmitPower;
    }

    /**
     * Sets the value of the transmitPower property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTransmitPower(String value) {
        this.transmitPower = value;
    }

}
